gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.TreeViewColumn

Contents

- Exported types
- Methods
  - addAttribute
  - cellGetPosition
  - cellGetSize
  - cellIsVisible
  - cellSetCellData
  - clear
  - clearAttributes
  - clicked
  - focusCell
  - getAlignment
  - getButton
  - getClickable
  - getExpand
  - getFixedWidth
  - getMaxWidth
  - getMinWidth
  - getReorderable
  - getResizable
  - getSizing
  - getSortColumnId
  - getSortIndicator
  - getSortOrder
  - getSpacing
  - getTitle
  - getTreeView
  - getVisible
  - getWidget
  - getWidth
  - getXOffset
  - new
  - newWithArea
  - packEnd
  - packStart
  - queueResize
  - setAlignment
  - setCellDataFunc
  - setClickable
  - setExpand
  - setFixedWidth
  - setMaxWidth
  - setMinWidth
  - setReorderable
  - setResizable
  - setSizing
  - setSortColumnId
  - setSortIndicator
  - setSortOrder
  - setSpacing
  - setTitle
  - setVisible
  - setWidget
- Properties
  - alignment
  - cellArea
  - clickable
  - expand
  - fixedWidth
  - maxWidth
  - minWidth
  - reorderable
  - resizable
  - sizing
  - sortColumnId
  - sortIndicator
  - sortOrder
  - spacing
  - title
  - visible
  - widget
  - width
  - xOffset
- Signals
  - clicked

Description

The GtkTreeViewColumn object represents a visible column in a `TreeView` widget. It allows to set properties of the column header, and functions as a holding pen for the cell renderers which determine how the data in the column is displayed.

Please refer to the tree widget conceptual overview for an overview of all the objects and data types related to the tree widget and how they work together.

Synopsis

- newtype TreeViewColumn = TreeViewColumn (ManagedPtr TreeViewColumn)
- class (GObject o, IsDescendantOf TreeViewColumn o) => IsTreeViewColumn o
- toTreeViewColumn :: (MonadIO m, IsTreeViewColumn o) => o -> m TreeViewColumn
- treeViewColumnAddAttribute :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> Text -> Int32 -> m ()
- treeViewColumnCellGetPosition :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> m (Bool, Int32, Int32)
- treeViewColumnCellGetSize :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Maybe Rectangle -> m (Int32, Int32, Int32, Int32)
- treeViewColumnCellIsVisible :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnCellSetCellData :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsTreeModel b) => a -> b -> TreeIter -> Bool -> Bool -> m ()
- treeViewColumnClear :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m ()
- treeViewColumnClearAttributes :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> m ()
- treeViewColumnClicked :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m ()
- treeViewColumnFocusCell :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> m ()
- treeViewColumnGetAlignment :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Float
- treeViewColumnGetButton :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Widget
- treeViewColumnGetClickable :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnGetExpand :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnGetFixedWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnGetMaxWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnGetMinWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnGetReorderable :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnGetResizable :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnGetSizing :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m TreeViewColumnSizing
- treeViewColumnGetSortColumnId :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnGetSortIndicator :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnGetSortOrder :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m SortType
- treeViewColumnGetSpacing :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnGetTitle :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Text
- treeViewColumnGetTreeView :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m (Maybe Widget)
- treeViewColumnGetVisible :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Bool
- treeViewColumnGetWidget :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m (Maybe Widget)
- treeViewColumnGetWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnGetXOffset :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m Int32
- treeViewColumnNew :: (HasCallStack, MonadIO m) => m TreeViewColumn
- treeViewColumnNewWithArea :: (HasCallStack, MonadIO m, IsCellArea a) => a -> m TreeViewColumn
- treeViewColumnPackEnd :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> Bool -> m ()
- treeViewColumnPackStart :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> Bool -> m ()
- treeViewColumnQueueResize :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> m ()
- treeViewColumnSetAlignment :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Float -> m ()
- treeViewColumnSetCellDataFunc :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) => a -> b -> Maybe TreeCellDataFunc -> m ()
- treeViewColumnSetClickable :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Bool -> m ()
- treeViewColumnSetExpand :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Bool -> m ()
- treeViewColumnSetFixedWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Int32 -> m ()
- treeViewColumnSetMaxWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Int32 -> m ()
- treeViewColumnSetMinWidth :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Int32 -> m ()
- treeViewColumnSetReorderable :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Bool -> m ()
- treeViewColumnSetResizable :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Bool -> m ()
- treeViewColumnSetSizing :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> TreeViewColumnSizing -> m ()
- treeViewColumnSetSortColumnId :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Int32 -> m ()
- treeViewColumnSetSortIndicator :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Bool -> m ()
- treeViewColumnSetSortOrder :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> SortType -> m ()
- treeViewColumnSetSpacing :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Int32 -> m ()
- treeViewColumnSetTitle :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Text -> m ()
- treeViewColumnSetVisible :: (HasCallStack, MonadIO m, IsTreeViewColumn a) => a -> Bool -> m ()
- treeViewColumnSetWidget :: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsWidget b) => a -> Maybe b -> m ()
- constructTreeViewColumnAlignment :: (IsTreeViewColumn o, MonadIO m) => Float -> m (GValueConstruct o)
- getTreeViewColumnAlignment :: (MonadIO m, IsTreeViewColumn o) => o -> m Float
- setTreeViewColumnAlignment :: (MonadIO m, IsTreeViewColumn o) => o -> Float -> m ()
- constructTreeViewColumnCellArea :: (IsTreeViewColumn o, MonadIO m, IsCellArea a) => a -> m (GValueConstruct o)
- getTreeViewColumnCellArea :: (MonadIO m, IsTreeViewColumn o) => o -> m (Maybe CellArea)
- constructTreeViewColumnClickable :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o)
- getTreeViewColumnClickable :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool
- setTreeViewColumnClickable :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m ()
- constructTreeViewColumnExpand :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o)
- getTreeViewColumnExpand :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool
- setTreeViewColumnExpand :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m ()
- constructTreeViewColumnFixedWidth :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getTreeViewColumnFixedWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- setTreeViewColumnFixedWidth :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m ()
- constructTreeViewColumnMaxWidth :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getTreeViewColumnMaxWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- setTreeViewColumnMaxWidth :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m ()
- constructTreeViewColumnMinWidth :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getTreeViewColumnMinWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- setTreeViewColumnMinWidth :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m ()
- constructTreeViewColumnReorderable :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o)
- getTreeViewColumnReorderable :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool
- setTreeViewColumnReorderable :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m ()
- constructTreeViewColumnResizable :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o)
- getTreeViewColumnResizable :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool
- setTreeViewColumnResizable :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m ()
- constructTreeViewColumnSizing :: (IsTreeViewColumn o, MonadIO m) => TreeViewColumnSizing -> m (GValueConstruct o)
- getTreeViewColumnSizing :: (MonadIO m, IsTreeViewColumn o) => o -> m TreeViewColumnSizing
- setTreeViewColumnSizing :: (MonadIO m, IsTreeViewColumn o) => o -> TreeViewColumnSizing -> m ()
- constructTreeViewColumnSortColumnId :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getTreeViewColumnSortColumnId :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- setTreeViewColumnSortColumnId :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m ()
- constructTreeViewColumnSortIndicator :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o)
- getTreeViewColumnSortIndicator :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool
- setTreeViewColumnSortIndicator :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m ()
- constructTreeViewColumnSortOrder :: (IsTreeViewColumn o, MonadIO m) => SortType -> m (GValueConstruct o)
- getTreeViewColumnSortOrder :: (MonadIO m, IsTreeViewColumn o) => o -> m SortType
- setTreeViewColumnSortOrder :: (MonadIO m, IsTreeViewColumn o) => o -> SortType -> m ()
- constructTreeViewColumnSpacing :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getTreeViewColumnSpacing :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- setTreeViewColumnSpacing :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m ()
- constructTreeViewColumnTitle :: (IsTreeViewColumn o, MonadIO m) => Text -> m (GValueConstruct o)
- getTreeViewColumnTitle :: (MonadIO m, IsTreeViewColumn o) => o -> m Text
- setTreeViewColumnTitle :: (MonadIO m, IsTreeViewColumn o) => o -> Text -> m ()
- constructTreeViewColumnVisible :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o)
- getTreeViewColumnVisible :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool
- setTreeViewColumnVisible :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m ()
- clearTreeViewColumnWidget :: (MonadIO m, IsTreeViewColumn o) => o -> m ()
- constructTreeViewColumnWidget :: (IsTreeViewColumn o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o)
- getTreeViewColumnWidget :: (MonadIO m, IsTreeViewColumn o) => o -> m (Maybe Widget)
- setTreeViewColumnWidget :: (MonadIO m, IsTreeViewColumn o, IsWidget a) => o -> a -> m ()
- getTreeViewColumnWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- getTreeViewColumnXOffset :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32
- type TreeViewColumnClickedCallback = IO ()
- afterTreeViewColumnClicked :: (IsTreeViewColumn a, MonadIO m) => a -> ((?self :: a) => TreeViewColumnClickedCallback) -> m SignalHandlerId
- onTreeViewColumnClicked :: (IsTreeViewColumn a, MonadIO m) => a -> ((?self :: a) => TreeViewColumnClickedCallback) -> m SignalHandlerId

# Exported types

newtype TreeViewColumn Source #

Memory-managed wrapper type.

Constructors

TreeViewColumn (ManagedPtr TreeViewColumn) |

#### Instances

Instances details

Eq TreeViewColumn Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn Methods (==) :: TreeViewColumn -> TreeViewColumn -> Bool Source # (/=) :: TreeViewColumn -> TreeViewColumn -> Bool Source #
GObject TreeViewColumn Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn
ManagedPtrNewtype TreeViewColumn Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn Methods toManagedPtr :: TreeViewColumn -> ManagedPtr TreeViewColumn Source #
TypedObject TreeViewColumn Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn Methods glibType :: IO GType Source #
HasParentTypes TreeViewColumn Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn
IsGValue (Maybe TreeViewColumn) Source # | Convert `TreeViewColumn` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.TreeViewColumn Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TreeViewColumn -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TreeViewColumn) Source #
type ParentTypes TreeViewColumn Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn type ParentTypes TreeViewColumn = '[Object, Buildable, CellLayout]

class (GObject o, IsDescendantOf TreeViewColumn o) => IsTreeViewColumn o Source #

Type class for types which can be safely cast to `TreeViewColumn`, for instance with `toTreeViewColumn`.

#### Instances

Instances details

(GObject o, IsDescendantOf TreeViewColumn o) => IsTreeViewColumn o Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewColumn

toTreeViewColumn :: (MonadIO m, IsTreeViewColumn o) => o -> m TreeViewColumn Source #

Cast to `TreeViewColumn`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addAttribute, addChild, bindProperty, bindPropertyFull, cellGetPosition, cellGetSize, cellIsVisible, cellSetCellData, clear, clearAttributes, clicked, constructChild, customFinished, customTagEnd, customTagStart, focusCell, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, packEnd, packStart, parserFinished, queueResize, ref, refSink, reorder, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAlignment, getArea, getButton, getCells, getClickable, getData, getExpand, getFixedWidth, getInternalChild, getMaxWidth, getMinWidth, getName, getProperty, getQdata, getReorderable, getResizable, getSizing, getSortColumnId, getSortIndicator, getSortOrder, getSpacing, getTitle, getTreeView, getVisible, getWidget, getWidth, getXOffset.

#### Setters

setAlignment, setBuildableProperty, setCellDataFunc, setClickable, setData, setDataFull, setExpand, setFixedWidth, setMaxWidth, setMinWidth, setName, setProperty, setReorderable, setResizable, setSizing, setSortColumnId, setSortIndicator, setSortOrder, setSpacing, setTitle, setVisible, setWidget.

## addAttribute

treeViewColumnAddAttribute Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> b | `cellRenderer`: the `CellRenderer` to set attributes on
-> Text | `attribute`: An attribute on the renderer
-> Int32 | `column`: The column position on the model to get the attribute from.
-> m () |

Adds an attribute mapping to the list in `treeColumn`. The `column` is the column of the model to get a value from, and the `attribute` is the parameter on `cellRenderer` to be set from the value. So for example if column 2 of the model contains strings, you could have the “text” attribute of a `CellRendererText` get its values from column 2.

## cellGetPosition

treeViewColumnCellGetPosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: a `TreeViewColumn`
-> b | `cellRenderer`: a `CellRenderer`
-> m (Bool, Int32, Int32) | Returns: `True` if `cell` belongs to `treeColumn`.

Obtains the horizontal position and size of a cell in a column. If the cell is not found in the column, `startPos` and `width` are not changed and `False` is returned.

## cellGetSize

treeViewColumnCellGetSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Maybe Rectangle | `cellArea`: The area a cell in the column will be allocated, or `Nothing`
-> m (Int32, Int32, Int32, Int32) |

Obtains the width and height needed to render the column. This is used primarily by the `TreeView`.

## cellIsVisible

treeViewColumnCellIsVisible Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m Bool | Returns: `True`, if any of the cells packed into the `treeColumn` are currently visible

Returns `True` if any of the cells packed into the `treeColumn` are visible. For this to be meaningful, you must first initialize the cells with `treeViewColumnCellSetCellData`

## cellSetCellData

treeViewColumnCellSetCellData Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsTreeModel b) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> b | `treeModel`: The `TreeModel` to to get the cell renderers attributes from.
-> TreeIter | `iter`: The `TreeIter` to to get the cell renderer’s attributes from.
-> Bool | `isExpander`: `True`, if the row has children
-> Bool | `isExpanded`: `True`, if the row has visible children
-> m () |

Sets the cell renderer based on the `treeModel` and `iter`. That is, for every attribute mapping in `treeColumn`, it will get a value from the set column on the `iter`, and use that value to set the attribute on the cell renderer. This is used primarily by the `TreeView`.

## clear

treeViewColumnClear Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m () |

Unsets all the mappings on all renderers on the `treeColumn`.

## clearAttributes

treeViewColumnClearAttributes Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: a `TreeViewColumn`
-> b | `cellRenderer`: a `CellRenderer` to clear the attribute mapping on.
-> m () |

Clears all existing attributes previously set with `gtk_tree_view_column_set_attributes()`.

## clicked

treeViewColumnClicked Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> m () |

Emits the “clicked” signal on the column. This function will only work if `treeColumn` is clickable.

## focusCell

treeViewColumnFocusCell Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: A `TreeViewColumn`
-> b | `cell`: A `CellRenderer`
-> m () |

Sets the current keyboard focus to be at `cell`, if the column contains 2 or more editable and activatable cells.

Since: 2.2

## getAlignment

treeViewColumnGetAlignment Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Float | Returns: The current alignent of `treeColumn`.

Returns the current x alignment of `treeColumn`. This value can range between 0.0 and 1.0.

## getButton

treeViewColumnGetButton Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m Widget | Returns: The button for the column header.

Returns the button used in the treeview column header

Since: 3.0

## getClickable

treeViewColumnGetClickable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> m Bool | Returns: `True` if user can click the column header.

Returns `True` if the user can click on the header for the column.

## getExpand

treeViewColumnGetExpand Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Bool | Returns: `True` if the column expands to fill available space.

Returns `True` if the column expands to fill available space.

Since: 2.4

## getFixedWidth

treeViewColumnGetFixedWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Int32 | Returns: The fixed width of the column.

Gets the fixed width of the column. This may not be the actual displayed width of the column; for that, use `treeViewColumnGetWidth`.

## getMaxWidth

treeViewColumnGetMaxWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Int32 | Returns: The maximum width of the `treeColumn`.

Returns the maximum width in pixels of the `treeColumn`, or -1 if no maximum width is set.

## getMinWidth

treeViewColumnGetMinWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Int32 | Returns: The minimum width of the `treeColumn`.

Returns the minimum width in pixels of the `treeColumn`, or -1 if no minimum width is set.

## getReorderable

treeViewColumnGetReorderable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m Bool | Returns: `True` if the `treeColumn` can be reordered by the user.

Returns `True` if the `treeColumn` can be reordered by the user.

## getResizable

treeViewColumnGetResizable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m Bool | Returns: `True`, if the `treeColumn` can be resized.

Returns `True` if the `treeColumn` can be resized by the end user.

## getSizing

treeViewColumnGetSizing Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m TreeViewColumnSizing | Returns: The type of `treeColumn`.

Returns the current type of `treeColumn`.

## getSortColumnId

treeViewColumnGetSortColumnId Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> m Int32 | Returns: the current `sortColumnId` for this column, or -1 if this column can’t be used for sorting.

Gets the logical `sortColumnId` that the model sorts on when this column is selected for sorting. See `treeViewColumnSetSortColumnId`.

## getSortIndicator

treeViewColumnGetSortIndicator Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> m Bool | Returns: whether the sort indicator arrow is displayed

Gets the value set by `treeViewColumnSetSortIndicator`.

## getSortOrder

treeViewColumnGetSortOrder Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> m SortType | Returns: the sort order the sort indicator is indicating

Gets the value set by `treeViewColumnSetSortOrder`.

## getSpacing

treeViewColumnGetSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Int32 | Returns: the spacing of `treeColumn`.

Returns the spacing of `treeColumn`.

## getTitle

treeViewColumnGetTitle Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Text | Returns: the title of the column. This string should not be modified or freed.

Returns the title of the widget.

## getTreeView

treeViewColumnGetTreeView Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m (Maybe Widget) | Returns: The tree view wherein `column` has been inserted if any, `Nothing` otherwise.

Returns the `TreeView` wherein `treeColumn` has been inserted. If `column` is currently not inserted in any tree view, `Nothing` is returned.

Since: 2.12

## getVisible

treeViewColumnGetVisible Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Bool | Returns: whether the column is visible or not. If it is visible, then the tree will show the column.

Returns `True` if `treeColumn` is visible.

## getWidget

treeViewColumnGetWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m (Maybe Widget) | Returns: The `Widget` in the column header, or `Nothing`

Returns the `Widget` in the button on the column header. If a custom widget has not been set then `Nothing` is returned.

## getWidth

treeViewColumnGetWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Int32 | Returns: The current width of `treeColumn`.

Returns the current size of `treeColumn` in pixels.

## getXOffset

treeViewColumnGetXOffset Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> m Int32 | Returns: The current X offset of `treeColumn`.

Returns the current X offset of `treeColumn` in pixels.

Since: 3.2

## new

treeViewColumnNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m TreeViewColumn | Returns: A newly created `TreeViewColumn`.

Creates a new `TreeViewColumn`.

## newWithArea

treeViewColumnNewWithArea Source #

Arguments

:: (HasCallStack, MonadIO m, IsCellArea a) |
=> a | `area`: the `CellArea` that the newly created column should use to layout cells.
-> m TreeViewColumn | Returns: A newly created `TreeViewColumn`.

Creates a new `TreeViewColumn` using `area` to render its cells.

Since: 3.0

## packEnd

treeViewColumnPackEnd Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> b | `cell`: The `CellRenderer`.
-> Bool | `expand`: `True` if `cell` is to be given extra space allocated to `treeColumn`.
-> m () |

Adds the `cell` to end of the column. If `expand` is `False`, then the `cell` is allocated no more space than it needs. Any unused space is divided evenly between cells for which `expand` is `True`.

## packStart

treeViewColumnPackStart Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> b | `cell`: The `CellRenderer`.
-> Bool | `expand`: `True` if `cell` is to be given extra space allocated to `treeColumn`.
-> m () |

Packs the `cell` into the beginning of the column. If `expand` is `False`, then the `cell` is allocated no more space than it needs. Any unused space is divided evenly between cells for which `expand` is `True`.

## queueResize

treeViewColumnQueueResize Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> m () |

Flags the column, and the cell renderers added to this column, to have their sizes renegotiated.

Since: 2.8

## setAlignment

treeViewColumnSetAlignment Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Float | `xalign`: The alignment, which is between [0.0 and 1.0] inclusive.
-> m () |

Sets the alignment of the title or custom widget inside the column header. The alignment determines its location inside the button -- 0.0 for left, 0.5 for center, 1.0 for right.

## setCellDataFunc

treeViewColumnSetCellDataFunc Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsCellRenderer b) |
=> a | `treeColumn`: A `TreeViewColumn`
-> b | `cellRenderer`: A `CellRenderer`
-> Maybe TreeCellDataFunc | `func`: The `TreeCellDataFunc` to use.
-> m () |

Sets the `TreeCellDataFunc` to use for the column. This function is used instead of the standard attributes mapping for setting the column value, and should set the value of `treeColumn`'s cell renderer as appropriate. `func` may be `Nothing` to remove an older one.

## setClickable

treeViewColumnSetClickable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Bool | `clickable`: `True` if the header is active.
-> m () |

Sets the header to be active if `clickable` is `True`. When the header is active, then it can take keyboard focus, and can be clicked.

## setExpand

treeViewColumnSetExpand Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Bool | `expand`: `True` if the column should expand to fill available space.
-> m () |

Sets the column to take available extra space. This space is shared equally amongst all columns that have the expand set to `True`. If no column has this option set, then the last column gets all extra space. By default, every column is created with this `False`.

Along with “fixed-width”, the “expand” property changes when the column is resized by the user.

Since: 2.4

## setFixedWidth

treeViewColumnSetFixedWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Int32 | `fixedWidth`: The new fixed width, in pixels, or -1.
-> m () |

If `fixedWidth` is not -1, sets the fixed width of `treeColumn`; otherwise unsets it. The effective value of `fixedWidth` is clamped between the minimum and maximum width of the column; however, the value stored in the “fixed-width” property is not clamped. If the column sizing is `GTK_TREE_VIEW_COLUMN_GROW_ONLY` or `GTK_TREE_VIEW_COLUMN_AUTOSIZE`, setting a fixed width overrides the automatically calculated width. Note that `fixedWidth` is only a hint to GTK+; the width actually allocated to the column may be greater or less than requested.

Along with “expand”, the “fixed-width” property changes when the column is resized by the user.

## setMaxWidth

treeViewColumnSetMaxWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Int32 | `maxWidth`: The maximum width of the column in pixels, or -1.
-> m () |

Sets the maximum width of the `treeColumn`. If `maxWidth` is -1, then the maximum width is unset. Note, the column can actually be wider than max width if it’s the last column in a view. In this case, the column expands to fill any extra space.

## setMinWidth

treeViewColumnSetMinWidth Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Int32 | `minWidth`: The minimum width of the column in pixels, or -1.
-> m () |

Sets the minimum width of the `treeColumn`. If `minWidth` is -1, then the minimum width is unset.

## setReorderable

treeViewColumnSetReorderable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> Bool | `reorderable`: `True`, if the column can be reordered.
-> m () |

If `reorderable` is `True`, then the column can be reordered by the end user dragging the header.

## setResizable

treeViewColumnSetResizable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`
-> Bool | `resizable`: `True`, if the column can be resized
-> m () |

If `resizable` is `True`, then the user can explicitly resize the column by grabbing the outer edge of the column button. If resizable is `True` and sizing mode of the column is `GTK_TREE_VIEW_COLUMN_AUTOSIZE`, then the sizing mode is changed to `GTK_TREE_VIEW_COLUMN_GROW_ONLY`.

## setSizing

treeViewColumnSetSizing Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> TreeViewColumnSizing | `type`: The `TreeViewColumnSizing`.
-> m () |

Sets the growth behavior of `treeColumn` to `type`.

## setSortColumnId

treeViewColumnSetSortColumnId Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> Int32 | `sortColumnId`: The `sortColumnId` of the model to sort on.
-> m () |

Sets the logical `sortColumnId` that this column sorts on when this column is selected for sorting. Doing so makes the column header clickable.

## setSortIndicator

treeViewColumnSetSortIndicator Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> Bool | `setting`: `True` to display an indicator that the column is sorted
-> m () |

Call this function with a `setting` of `True` to display an arrow in the header button indicating the column is sorted. Call `treeViewColumnSetSortOrder` to change the direction of the arrow.

## setSortOrder

treeViewColumnSetSortOrder Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: a `TreeViewColumn`
-> SortType | `order`: sort order that the sort indicator should indicate
-> m () |

Changes the appearance of the sort indicator.

This does not actually sort the model. Use `treeViewColumnSetSortColumnId` if you want automatic sorting support. This function is primarily for custom sorting behavior, and should be used in conjunction with `treeSortableSetSortColumnId` to do that. For custom models, the mechanism will vary.

The sort indicator changes direction to indicate normal sort or reverse sort. Note that you must have the sort indicator enabled to see anything when calling this function; see `treeViewColumnSetSortIndicator`.

## setSpacing

treeViewColumnSetSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Int32 | `spacing`: distance between cell renderers in pixels.
-> m () |

Sets the spacing field of `treeColumn`, which is the number of pixels to place between cell renderers packed into it.

## setTitle

treeViewColumnSetTitle Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Text | `title`: The title of the `treeColumn`.
-> m () |

Sets the title of the `treeColumn`. If a custom widget has been set, then this value is ignored.

## setVisible

treeViewColumnSetVisible Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Bool | `visible`: `True` if the `treeColumn` is visible.
-> m () |

Sets the visibility of `treeColumn`.

## setWidget

treeViewColumnSetWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeViewColumn a, IsWidget b) |
=> a | `treeColumn`: A `TreeViewColumn`.
-> Maybe b | `widget`: A child `Widget`, or `Nothing`.
-> m () |

Sets the widget in the header to be `widget`. If widget is `Nothing`, then the header button is set with a `Label` set to the title of `treeColumn`.

# Properties

## alignment

No description available in the introspection data.

constructTreeViewColumnAlignment :: (IsTreeViewColumn o, MonadIO m) => Float -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`alignment`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnAlignment :: (MonadIO m, IsTreeViewColumn o) => o -> m Float Source #

Get the value of the “`alignment`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #alignment

setTreeViewColumnAlignment :: (MonadIO m, IsTreeViewColumn o) => o -> Float -> m () Source #

Set the value of the “`alignment`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #alignment := value ]

## cellArea

The `CellArea` used to layout cell renderers for this column.

If no area is specified when creating the tree view column with `treeViewColumnNewWithArea` a horizontally oriented `CellAreaBox` will be used.

Since: 3.0

constructTreeViewColumnCellArea :: (IsTreeViewColumn o, MonadIO m, IsCellArea a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`cell-area`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnCellArea :: (MonadIO m, IsTreeViewColumn o) => o -> m (Maybe CellArea) Source #

Get the value of the “`cell-area`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #cellArea

## clickable

No description available in the introspection data.

constructTreeViewColumnClickable :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`clickable`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnClickable :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool Source #

Get the value of the “`clickable`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #clickable

setTreeViewColumnClickable :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m () Source #

Set the value of the “`clickable`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #clickable := value ]

## expand

No description available in the introspection data.

constructTreeViewColumnExpand :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`expand`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnExpand :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool Source #

Get the value of the “`expand`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #expand

setTreeViewColumnExpand :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m () Source #

Set the value of the “`expand`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #expand := value ]

## fixedWidth

No description available in the introspection data.

constructTreeViewColumnFixedWidth :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`fixed-width`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnFixedWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`fixed-width`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #fixedWidth

setTreeViewColumnFixedWidth :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m () Source #

Set the value of the “`fixed-width`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #fixedWidth := value ]

## maxWidth

No description available in the introspection data.

constructTreeViewColumnMaxWidth :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`max-width`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnMaxWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`max-width`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #maxWidth

setTreeViewColumnMaxWidth :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m () Source #

Set the value of the “`max-width`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #maxWidth := value ]

## minWidth

No description available in the introspection data.

constructTreeViewColumnMinWidth :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`min-width`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnMinWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`min-width`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #minWidth

setTreeViewColumnMinWidth :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m () Source #

Set the value of the “`min-width`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #minWidth := value ]

## reorderable

No description available in the introspection data.

constructTreeViewColumnReorderable :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`reorderable`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnReorderable :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool Source #

Get the value of the “`reorderable`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #reorderable

setTreeViewColumnReorderable :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m () Source #

Set the value of the “`reorderable`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #reorderable := value ]

## resizable

No description available in the introspection data.

constructTreeViewColumnResizable :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`resizable`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnResizable :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool Source #

Get the value of the “`resizable`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #resizable

setTreeViewColumnResizable :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m () Source #

Set the value of the “`resizable`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #resizable := value ]

## sizing

No description available in the introspection data.

constructTreeViewColumnSizing :: (IsTreeViewColumn o, MonadIO m) => TreeViewColumnSizing -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`sizing`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnSizing :: (MonadIO m, IsTreeViewColumn o) => o -> m TreeViewColumnSizing Source #

Get the value of the “`sizing`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #sizing

setTreeViewColumnSizing :: (MonadIO m, IsTreeViewColumn o) => o -> TreeViewColumnSizing -> m () Source #

Set the value of the “`sizing`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #sizing := value ]

## sortColumnId

Logical sort column ID this column sorts on when selected for sorting. Setting the sort column ID makes the column header clickable. Set to -1 to make the column unsortable.

Since: 2.18

constructTreeViewColumnSortColumnId :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`sort-column-id`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnSortColumnId :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`sort-column-id`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #sortColumnId

setTreeViewColumnSortColumnId :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m () Source #

Set the value of the “`sort-column-id`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #sortColumnId := value ]

## sortIndicator

No description available in the introspection data.

constructTreeViewColumnSortIndicator :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`sort-indicator`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnSortIndicator :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool Source #

Get the value of the “`sort-indicator`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #sortIndicator

setTreeViewColumnSortIndicator :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m () Source #

Set the value of the “`sort-indicator`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #sortIndicator := value ]

## sortOrder

No description available in the introspection data.

constructTreeViewColumnSortOrder :: (IsTreeViewColumn o, MonadIO m) => SortType -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`sort-order`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnSortOrder :: (MonadIO m, IsTreeViewColumn o) => o -> m SortType Source #

Get the value of the “`sort-order`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #sortOrder

setTreeViewColumnSortOrder :: (MonadIO m, IsTreeViewColumn o) => o -> SortType -> m () Source #

Set the value of the “`sort-order`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #sortOrder := value ]

## spacing

No description available in the introspection data.

constructTreeViewColumnSpacing :: (IsTreeViewColumn o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`spacing`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnSpacing :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`spacing`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #spacing

setTreeViewColumnSpacing :: (MonadIO m, IsTreeViewColumn o) => o -> Int32 -> m () Source #

Set the value of the “`spacing`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #spacing := value ]

## title

No description available in the introspection data.

constructTreeViewColumnTitle :: (IsTreeViewColumn o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`title`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnTitle :: (MonadIO m, IsTreeViewColumn o) => o -> m Text Source #

Get the value of the “`title`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #title

setTreeViewColumnTitle :: (MonadIO m, IsTreeViewColumn o) => o -> Text -> m () Source #

Set the value of the “`title`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #title := value ]

## visible

No description available in the introspection data.

constructTreeViewColumnVisible :: (IsTreeViewColumn o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`visible`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnVisible :: (MonadIO m, IsTreeViewColumn o) => o -> m Bool Source #

Get the value of the “`visible`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #visible

setTreeViewColumnVisible :: (MonadIO m, IsTreeViewColumn o) => o -> Bool -> m () Source #

Set the value of the “`visible`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #visible := value ]

## widget

No description available in the introspection data.

clearTreeViewColumnWidget :: (MonadIO m, IsTreeViewColumn o) => o -> m () Source #

Set the value of the “`widget`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #widget

constructTreeViewColumnWidget :: (IsTreeViewColumn o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`widget`” property. This is rarely needed directly, but it is used by `new`.

getTreeViewColumnWidget :: (MonadIO m, IsTreeViewColumn o) => o -> m (Maybe Widget) Source #

Get the value of the “`widget`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #widget

setTreeViewColumnWidget :: (MonadIO m, IsTreeViewColumn o, IsWidget a) => o -> a -> m () Source #

Set the value of the “`widget`” property. When overloading is enabled, this is equivalent to

    set treeViewColumn [ #widget := value ]

## width

No description available in the introspection data.

getTreeViewColumnWidth :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`width`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #width

## xOffset

No description available in the introspection data.

getTreeViewColumnXOffset :: (MonadIO m, IsTreeViewColumn o) => o -> m Int32 Source #

Get the value of the “`x-offset`” property. When overloading is enabled, this is equivalent to

    get treeViewColumn #xOffset

# Signals

## clicked

type TreeViewColumnClickedCallback = IO () Source #

No description available in the introspection data.

afterTreeViewColumnClicked :: (IsTreeViewColumn a, MonadIO m) => a -> ((?self :: a) => TreeViewColumnClickedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the clicked signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after treeViewColumn #clicked callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onTreeViewColumnClicked :: (IsTreeViewColumn a, MonadIO m) => a -> ((?self :: a) => TreeViewColumnClickedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the clicked signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on treeViewColumn #clicked callback